PenStyleBox Class Reference

A modified QComboBox allowing to choose a Qt::PenStyle. More...

`#include <PenStyleBox.h>`

Inheritance diagram for PenStyleBox:

## Public Member Functions

| PenStyleBox (QWidget *parent=0)
| Constructor. More...
void | setStyle (const Qt::PenStyle &style)
Qt::PenStyle | style () const

## Static Public Member Functions

static Qt::PenStyle | penStyle (int index)
static int | styleIndex (const Qt::PenStyle &style)

## Static Private Attributes

static const Qt::PenStyle | patterns []

## Detailed Description

A modified QComboBox allowing to choose a Qt::PenStyle.

This is a simple hack on top of the QComboBox class.

## Constructor & Destructor Documentation

PenStyleBox::PenStyleBox | ( | QWidget * | parent = `0` | ) |

Constructor.

Parameters

  parent | parent widget (only affects placement of the widget)

## Member Function Documentation

Qt::PenStyle PenStyleBox::penStyle | ( | int | index | ) |

static

References patterns.

Referenced by ApplicationWindow::readSettings(), EllipseWidget::restore(), RectangleWidget::restore(), TexWidget::restore(), ImageWidget::restore(), LegendWidget::restore(), PieLabel::restore(), and Graph::restoreSpectrogram().

void PenStyleBox::setStyle | ( | const Qt::PenStyle & | style | ) |

References patterns.

Referenced by LineDialog::LineDialog(), PlotDialog::setActiveCurve(), EnrichmentDialog::setWidget(), AxesDialog::showGridOptions(), ConfigDialog::showGridOptions(), and ContourLinesEditor::showPenDialog().

Qt::PenStyle PenStyleBox::style | ( |  | ) | const

References patterns.

Referenced by PlotDialog::acceptParams(), LineDialog::apply(), AxesDialog::applyChangesToGrid(), PlotDialog::applyLineFormatToLayer(), LineDialog::setDefaultValues(), EnrichmentDialog::setFrameDefaultValues(), EnrichmentDialog::setFrameTo(), ConfigDialog::updateGrid(), and ContourLinesEditor::updatePen().

int PenStyleBox::styleIndex | ( | const Qt::PenStyle & | style | ) |

static

References patterns.

Referenced by ApplicationWindow::readSettings(), ApplicationWindow::saveSettings(), Spectrogram::saveToString(), and FrameWidget::saveToString().

## Member Data Documentation

const Qt::PenStyle PenStyleBox::patterns

static private

Initial value:
= {
Qt::SolidLine,
Qt::DashLine,
Qt::DotLine,
Qt::DashDotLine,
Qt::DashDotDotLine
}

Referenced by penStyle(), setStyle(), style(), and styleIndex().

The documentation for this class was generated from the following files:

- qtiplot/src/lib/include/PenStyleBox.h
- qtiplot/src/lib/src/PenStyleBox.cpp